﻿@model SendMassSmsViewModel
@{
    ViewBag.Title = "ارسال پیامک برای کاربران";
    //ViewBag.Credit;
}

<form method="post">
    <div class="col-12">
        <b style="color:#189f68">@(((decimal)ViewBag.Credit).ToPriceWithoutFloat())</b> تومان اعتبار پیامک
    </div>
    <hr />
    <div class="row">
        <div class="col-12">
            <label class="control-label" for="Text">متن پیام</label>
            <div class="input-group with-feedback component-rtl addOn">
                <span class="input-group-addon"><i class="fa fa-file-text-o"></i></span>
                <textarea class="form-control" cols="20" dir="ltr" id="Text" name="Text" placeholder="متن پیامک" rows="3" style="direction: rtl; text-align: right;"></textarea>
            </div>
            <br />
            <div class="btn-group" role="group" aria-label="Basic example">
                <button id="nameBtn" type="button" class="btn btn-secondary">نام و نام خانوادگی کابر</button>
                <button id="telegramBtn" type="button" class="btn btn-primary">افزودن کانال تلگرام</button>
                <button id="urlBtn" type="button" class="btn btn-secondary">افزودن آدرس سایت</button>
            </div>
            <br />
        </div>
        <div class="col-6">
            <div class="form-group">
                @Html.LabelFor(m => m.To, new { @class = "control-label" })
                @Html.EnumDropDownListFor(m => m.To, new { @class = "form-control" })
            </div>
        </div>
        <div class="col-6">
            <input type="submit" value="ارسال" class="btn btn-primary"/>
        </div>
    </div>
</form>

@section scripts{
    <script>
        $("[id*='Btn']").on('click', function () {
            var buttonName = $(this).attr('id');
            switch (buttonName) {
                case "nameBtn":
                    insertAtCursor(document.getElementById('Text'), "{نام}")
                    break;
                case "discountBtn":
                    insertAtCursor(document.getElementById("Text"), "{تخفیف}")
                    break;
                case "buyBtn":
                    insertAtCursor(document.getElementById("Text"), "{قیمت-خرید}")
                    break;
                case "sellBtn":
                    insertAtCursor(document.getElementById("Text"), "{قیمت-فروش}")
                    break;
                case "urlBtn":
                    insertAtCursor(document.getElementById("Text"), "{آدرس-سایت}")
                    break;
                case "telegramBtn":
                    insertAtCursor(document.getElementById("Text"), "{تلگرام}")
                    break;
            }
        });
    </script>    
}